Subject: [alpine-devel] [PATCH] testing/csync2: upgrade to 2.0_rc1_git20121210

From: Pablo Castorino <[email-masked]>
Date: Wed, 12 Dec 2012 13:20:23 -0300

---
 testing/csync2/03-strlcpy_disable.patch |   21 ++++++++++++++++
 testing/ipvsadm/APKBUILD                |   42 +++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)
 create mode 100644 testing/csync2/03-strlcpy_disable.patch
 create mode 100644 testing/ipvsadm/APKBUILD

diff --git a/testing/csync2/03-strlcpy_disable.patch b/testing/csync2/03-strlcpy_disable.patch
new file mode 100644
index 0000000..f0e9d45
--- /dev/null
+++ b/testing/csync2/03-strlcpy_disable.patch
@@ -0,0 +1,21 @@
+--- old/rsync.c
++++ new/rsync.c
+@@ -49,6 +49,9 @@
+  *
+  * @return index of the terminating byte.
+  **/
++
++/* disabled **
++
+ static size_t strlcpy(char *d, const char *s, size_t bufsize)
+ {
+         size_t len = strlen(s);
+@@ -61,7 +64,7 @@
+         }
+         return ret;
+ }
+-
++*/
+ 
+ /* This has been taken from rsync sources: receiver.c */
+ 
diff --git a/testing/ipvsadm/APKBUILD b/testing/ipvsadm/APKBUILD
new file mode 100644
index 0000000..6c35179
--- /dev/null
+++ b/testing/ipvsadm/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Pablo Castorino <[email-masked]>
+pkgname=ipvsadm
+pkgver=1.26
+pkgrel=0
+pkgdesc="ipvsadm is a utility to administer the IP virtual server services
+offered by the Linux kernel with IP virtual server support"
+url="http://www.linuxvirtualserver.org/software/ipvs.html"
+arch="all"
+license="GPL"
+depends=
+makedepends=" linux-headers popt-dev libnl-dev"
+install=
+subpackages=""
+source="http://www.linuxvirtualserver.org/software/kernel-2.6/$pkgname-$pkgver.tar.gz"
+#	keepalived-1.1.20-ipvs_haeader_check.patch
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+	for i in $source; do
+		case $i in
+		*.patch)
+			msg "Applying $i"
+			patch -p1 -i "$srcdir"/$i || return 1
+			;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make BUILD_ROOT="$pkgdir" install
+}
+
+md5sums="eac3ba3f62cd4dea2da353aeddd353a8  ipvsadm-1.26.tar.gz"
-- 
1.7.10

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---